Bug 907344 - (CVE-2013-0425) CVE-2013-0425 OpenJDK: logging insufficient access control checks (Libraries, 6664509)
CVE-2013-0425 OpenJDK: logging insufficient access control checks (Libraries,...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130201,repor...
: Security
Depends On:
Blocks: 906729
  Show dependency treegraph
 
Reported: 2013-02-04 02:43 EST by Tomas Hoger
Modified: 2013-10-23 12:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: icedtea6 1.11.6, icedtea6 1.12.1, icedtea7 2.1.5, icedtea7 2.2.5, icedtea7 2.3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-02-04 02:43:05 EST
It was discovered that Java logging API does not properly perform access control checks.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html
Comment 2 Tomas Hoger 2013-02-04 11:22:01 EST
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/ce105dd2e4de

(Includes fixes for both CVE-2013-0425 (bug 907344) and CVE-2013-0426 (bug 907346)).
Comment 3 errata-xmlrpc 2013-02-04 18:56:05 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0237 https://rhn.redhat.com/errata/RHSA-2013-0237.html
Comment 4 errata-xmlrpc 2013-02-04 18:57:25 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0236 https://rhn.redhat.com/errata/RHSA-2013-0236.html
Comment 5 Tomas Hoger 2013-02-08 06:57:30 EST
(In reply to comment #2)
> Upstream commit, as included in IcedTea7 repositories:
> 
> http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/ce105dd2e4de

This issue introduced a regression which broke custom logger implementations, see e.g. bug 908497.  Regression is corrected via:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/272466e46b3f
http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/635d562a25be
Comment 6 errata-xmlrpc 2013-02-08 14:16:31 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0246 https://rhn.redhat.com/errata/RHSA-2013-0246.html
Comment 7 errata-xmlrpc 2013-02-08 14:27:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0247 https://rhn.redhat.com/errata/RHSA-2013-0247.html
Comment 8 errata-xmlrpc 2013-02-08 14:37:28 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0245 https://rhn.redhat.com/errata/RHSA-2013-0245.html
Comment 9 Tomas Hoger 2013-02-11 06:18:44 EST
Commits in the jdk7-dev repository, including original Oracle fix dates:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/f26def552d2c
http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/693b931cd7cf
Comment 10 Tomas Hoger 2013-02-14 05:17:12 EST
Fixed in upstream IcedTea versions IcedTea6 1.11.6, and 1.12.1, and IcedTea7 2.1.5, 2.2.5, and 2.3.6:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021708.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021728.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021905.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html

Note that version 2.3.5 was tagged in upstream mercurial including the security fixes, but was not released.  Only 2.3.6 was released, correcting problem introduced by security patches as included in 2.3.5.

The regression mentioned in comment #5 was included in IcedTea6 1.11.6 and 1.12.1 and corrected in versions 1.11.7 and 1.12.2:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021858.html
Comment 11 errata-xmlrpc 2013-03-11 14:49:27 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html
Comment 12 errata-xmlrpc 2013-03-11 15:00:18 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html
Comment 13 errata-xmlrpc 2013-03-11 15:01:50 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html
Comment 14 errata-xmlrpc 2013-10-23 12:38:28 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 15 errata-xmlrpc 2013-10-23 12:49:54 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.